class RenameBannedToBannedAtInUsersAndIpAddresses < ActiveRecord::Migration[8.0]
  def up
    [:users, :ip_addresses].each do
      add_column _1, :banned_at, :datetime, after: :banned
      add_index _1, :banned_at
      remove_column _1, :banned
    end
  end

  def down
    [:ip_addresses, :users].each do
      add_column _1, :banned, :boolean, null: false, default: false, after: :banned_at
      remove_column _1, :banned_at
    end
  end
end
